package cn.reghao.autodop.dmaster.app.service.config;

import cn.reghao.autodop.dmaster.app.model.po.config.build.RepoAuthConfig;
import cn.reghao.jdkutil.result.Result;

/**
 * @author reghao
 * @date 2021-09-17 10:16:07
 */
public interface RepoAuthConfigService {
    Result add(RepoAuthConfig repoAuthConfig);
    Result modify(RepoAuthConfig repoAuthConfig);
    Result delete(RepoAuthConfig repoAuthConfig);
    RepoAuthConfig get(String name);
}
